package hu.se.app05;

/**
 * Class under test. Test should focus on the method {@link #getPrice()}.
 */
public class TrainTicketApp {

	private BerlinTicketPrices prices;

	private int shortHaulTickets = 0;
	private int abTickets = 0;
	private int bcTickets = 0;
	private int abcTickets = 0;

	public TrainTicketApp(BerlinTicketPrices prices) {
		this.prices = prices;
	}

	/**
	 * Returns the price for all bought tickets.
	 * 
	 * @return price for all bought tickets
	 */
	public double getPrice() {
		double sum = this.shortHaulTickets * this.prices.getShortHaulPrice();
		sum = sum + this.abTickets * this.prices.getAbPrice();
		sum = sum + this.bcTickets * this.prices.getBcPrice();
		sum = sum + this.abcTickets * this.prices.getAbcPrice();
		return sum;
	}

	public void buyShortHaulTicket() {
		this.shortHaulTickets++;
	}

	public void buyAbTicket() {
		this.abTickets++;
	}

	public void buyBcTicket() {
		this.bcTickets++;
	}

	public void buyAbcTicket() {
		this.abcTickets++;
	}

}
