package hu.se.app11;

import java.util.Arrays;

/**
 * Class under test.
 */
public class SanitizationApp {

	private ClassifiedInformation classifiedInfo;

	public SanitizationApp(ClassifiedInformation classifiedInfo) {
		this.classifiedInfo = classifiedInfo;
	}

	/**
	 * Clears classified information from a report.
	 * 
	 * @param report
	 *            the report to be cleared
	 * @return the cleared report
	 */
	public String clearReport(String report) {
		for (String classified : this.classifiedInfo.getContent()) {
			int length = classified.length();
			char[] array = new char[length];
			Arrays.fill(array, 'X');
			String blacked = new String(array);
			report = report.replaceAll(classified, blacked);
		}
		return report;
	}

}
