package hu.se.app13;

/**
 * Class under test.
 */
public class HealthApp {

	private HealthCalculator healthCalc;

	public HealthApp(HealthCalculator healthCalc) {
		this.healthCalc = healthCalc;
	}

	/**
	 * Calculates the body mass index.
	 * 
	 * @param weight
	 *            weight in kg.
	 * @param height
	 *            height im meter.
	 * @return the calculated body mass index
	 */
	public double getBMI(int weight, double height) {
		if (weight > 0 && height > 0) {
			double bmi = this.healthCalc.calcBMI(weight, height);
			return bmi;
		} else {
			return 0.0;
		}
	}

}
